Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 247128 - use pom content to determine what maven binaries to use, download if necessary
use pom content to determine what maven binaries to use, download if necessary
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
8.1
PC Mac OS X
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-15 12:13 UTC by Milos Kleint
Modified: 2014-10-14 03:13 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch (34.39 KB, application/octet-stream)
2014-09-15 12:13 UTC, Milos Kleint
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2014-09-15 12:13:03 UTC
Created attachment 149221 [details]
patch

this enhancement is more or less http://mvnvm.org/ done right, in the IDE.

Based on <prerequisite> element or maven enforcer plugin configuration, try to guess the right version of maven binaries to use.

For prerequisites: use the version matching the pom
for enforcer plugin: when explicit ranges used, try find the highest known matching, otherwise exact match.

Once exact version is determined and not among known runtimes, attempt a download.


The attached patch includes the mechanism to choose and download the binaries and also UI in Tools/Options that enables the feature.

Please note that some related issues where users ask for maven per project could be solved by this, however it must be stated that he $M2_HOME/conf/settings.xml file is still the same within the IDE itself and might contribute to eventual mismatch between the IDE and the cmdline.
Comment 1 Tomas Stupka 2014-10-13 13:46:36 UTC
fixed in core-main #3982e7d9a166
Comment 2 Quality Engineering 2014-10-14 03:13:12 UTC
Integrated into 'main-silver', will be available in build *201410140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3982e7d9a166
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #247128 - use pom content to determine what maven binaries to use, download if necessary


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo